routeEnhancers:
  AuthorPosts:
    type: Extbase
    extension: Blog
    plugin: AuthorPosts
    routes:
      -
        routePath: '/author/{author_title}'
        _controller: 'Post::listPostsByAuthor'
        _arguments:
          author_title: author
      -
        routePath: '/author/{author_title}/page-{page}'
        _controller: 'Post::listPostsByAuthor'
        _arguments:
          author_title: author
          page: 'currentPage'
    defaultController: 'Post::listPostsByAuthor'
    requirements:
      author_title: '^[a-z0-9].*$'
      page: '\d+'
    aspects:
      author_title:
        type: PersistedPatternMapper
        tableName: 'tx_blog_domain_model_author'
        routeFieldPattern: '^(?P<slug>.+)$'
        routeFieldName: 'slug'
        routeFieldResult: '{slug}'
      page:
        type: StaticRangeMapper
        start: '1'
        end: '99'
